Get All Configuration

This method is used to get all the configurable entries for a given account.

Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.PostureAnomaly.getAllConfiguration(
    account_name="Default",
    pa_id="PA-2022-1068"
)

print(response)
client.close()

Requires Python 3.9 or later.

Body Params
string
required

Name of the account for which configurable Posture Anomaly entries are requested.

string
required

Unique identifier of the Posture Anomaly configuration.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json